%define version_enc 2.06.039
%define version_dec 2.02.023

Summary: Firmware for the Hauppauge PVR 250/350/150/500/USB2 model series
Name: ivtv-firmware
Version: 20080701
Release: 20.2
Epoch: 2
License: Redistributable, no modification permitted
Group: System Environment/Kernel
URL: http://dl.ivtvdriver.org/ivtv/firmware/
Source0: http://dl.ivtvdriver.org/ivtv/firmware/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: ivtv-firmware-audio <= 0.0.1
Provides: ivtv-firmware-audio = 0.0.1
Obsoletes: %{name}-dec < %{version_dec}
Provides: %{name}-dec = %{version_dec}
Obsoletes: %{name}-enc < %{version_enc}
Provides: %{name}-enc = %{version_enc}

%description
This package contains the firmware for WinTV Hauppauge PVR
250/350/150/500/USB2 cards.

%prep
%setup -q -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware

install -p *.fw %{buildroot}/lib/firmware/
install -p v4l-cx2341x-init.mpg %{buildroot}/lib/firmware/v4l-cx2341x-init.mpg
# license requires that the licenses go in the same place as the firmware
for f in license-*.txt
do
  install -p $f %{buildroot}/lib/firmware/%{name}-$f
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc license-*.txt
/lib/firmware/*.fw
/lib/firmware/v4l-cx2341x-init.mpg
/lib/firmware/%{name}-license-*.txt


%changelog

